Skip to main content
GET
Get payout by ID

Authorizations

x-api-key
string
header
required

API key for service-to-service or merchant authentication.

Headers

x-correlation-id
string<uuid>

Unique identifier for request tracing. Generated by the client or server if not provided.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

id
string<uuid>
required

Unique identifier of the payout

Example:

"9a8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d"

Response

Payout details.

A payout from an acceptance account to a settlement account

id
string<uuid>
required

Unique payout identifier

Example:

"9a8b7c6d-5e4f-4a3b-9c2d-1e0f9a8b7c6d"

status
required

Payout accepted and funds held

Allowed value: "INITIATED"
acceptance_account_id
string<uuid>
required

Acceptance account debited

Example:

"550e8400-e29b-41d4-a716-446655440000"

settlement_account_id
string<uuid>
required

Settlement account credited

Example:

"4b0f6c1e-2d3a-4f5b-8c7d-9e0f1a2b3c4d"

amount
integer
required

Payout amount in minor units

Required range: x >= 1
Example:

150000

fee
integer
required

Payout fee in minor units

Required range: x >= 0
Example:

250

currency
string
required

ISO 4217 currency code

Example:

"SAR"

created_at
string<date-time>
required

Timestamp when the payout was created

Example:

"2026-09-29T10:00:00.000Z"

updated_at
string<date-time>
required

Timestamp of the last status change

Example:

"2026-09-29T10:00:00.000Z"

reference
string | null

Merchant's own reference for the payout

Example:

"tiktok-payout-5531"

failure_reason
string | null

Reason the payout failed, set only when status is FAILED

Example:

null